com.jscape.util.keystore

## Class CertificateRecord

- java.lang.Object
- - com.jscape.util.keystore.CertificateRecord

-     public class CertificateRecord
      extends java.lang.Object

  Represents a certificate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateRecord()`
    `CertificateRecord(java.security.cert.Certificate certificate)` Creates new instance.
    `CertificateRecord(java.security.cert.Certificate certificate, java.util.Date creationDate)` Creates new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.Certificate` | `getCertificate()` Gets certificate.
    `java.util.Date` | `getCreationDate()` Gets creation date.
    `java.security.PublicKey` | `getPublicKey()` Gets public key.
    `void` | `setCertificate(java.security.cert.Certificate value)`
    `void` | `setCreationDate(java.util.Date value)` Sets creation date.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateRecord

          public CertificateRecord(java.security.cert.Certificate certificate,
                                   java.util.Date creationDate)

      Creates new instance.
      Parameters:
        `certificate` - certificate
        `creationDate` - record creation date

    - #### CertificateRecord

          public CertificateRecord(java.security.cert.Certificate certificate)

      Creates new instance.
      Parameters:
        `certificate` - certificate

    - #### CertificateRecord

          public CertificateRecord()

  - ### Method Detail

    - #### getCertificate

          public java.security.cert.Certificate getCertificate()

      Gets certificate.
      Returns:
        a certificate

    - #### setCertificate

          public void setCertificate(java.security.cert.Certificate value)

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Gets creation date.
      Returns:
        record creation date

    - #### setCreationDate

          public void setCreationDate(java.util.Date value)

      Sets creation date.
      Parameters:
        `value` - record creation date

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()

      Gets public key.
      Returns:
        a certificate public key

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved